Method: projects.locations.instances.restore

instances.restore 从 BackupSource 恢复实例。

HTTP 请求

POST https://notebooks.googleapis.com/v2/{name}:restore

路径参数

参数
name

string

必需。格式:projects/{projectId}/locations/{location}/instances/{instanceId}

必须对指定的资源 name 具有以下 IAM 权限才能进行授权:

  • notebooks.instances.update

请求正文

请求正文中包含结构如下的数据:

JSON 表示法
{

  // Union field Source can be only one of the following:
  "snapshot": {
    object (Snapshot)
  }
  // End of list of possible types for union field Source.
}
字段
联合字段 Source。要从中恢复的来源。Source 只能是下列其中一项:
snapshot

object (Snapshot)

将用于恢复的快照。

响应正文

如果成功,则响应正文包含一个 Operation 实例。

授权范围

需要以下 OAuth 范围:

  • https://www.googleapis.com/auth/cloud-platform

如需了解详情,请参阅 Authentication Overview

快照

快照表示用于恢复 Workbench 实例的数据磁盘的快照。请参阅:compute/v1/projects/{projectId}/global/snapshots/{snapshotId}

JSON 表示法
{
  "snapshotId": string,
  "projectId": string
}
字段
snapshotId

string

必需。快照的 ID。

projectId

string

必需。快照的项目 ID。